clear;

load prem.txt

r=prem(:,1);
vp=prem(:,2)/1000;
vs=prem(:,3)/1000;
rho=prem(:,4);
K=prem(:,5);
mu=prem(:,6);
nu=prem(:,7);
P=prem(:,8);	%gPa
g=prem(:,9);

figure(1); clf; 

subplot(231)
plot(vp,6371-r,'b',vs,6371-r,'--k');
grid on;
xlabel('Seismic wave speed (km/s)');
ylabel('Depth (km)')
%axis([0 15000 0 3000]);
set(gca,'YDIR','reverse');

subplot(232)
plot(rho,6371-r); hold on;
grid on;
set(gca,'YDIR','reverse');
%ylabel('Depth (km)')
xlabel('Density, \rho (kg/m^3)')
%axis([0 max(rho) 0 7000]);

subplot(233)
plot(g,6371-r);
grid on;
set(gca,'YDIR','reverse');
%ylabel('Depth (km)')
xlabel('g, (m/s^2)')
grid on;
