%--------------------------------------------------------
function [gz]=sphere(a,drho,d,r)
% Computes downward attraction in a profile over the center of a
% buried sphere as a function of:
% a=radius of sphere in m
% drho=density contrast in kg/m3
% d=depth of sphere in m
% x=distance from projection of sphere to surface
%---------------------------------------------------------------

R=sqrt(r.^2+d.^2);

gam=6.673e-11; %(m^3/kg/s2);

M=(4*pi/3*drho*a.^3);	%mass of sphere

gz=(1e+5).*gam.*M.*d./R.^3;	%downward acceleration of                 
                                %gravity in mGal
